إعـــــــلان

تقليص
لا يوجد إعلان حتى الآن.

Clam AntiVirus

تقليص
X
 
  • تصفية - فلترة
  • الوقت
  • عرض
إلغاء تحديد الكل
مشاركات جديدة

  • [شرح] Clam AntiVirus

    السلام عليكم ورحمه الله

    ازيكم يا رجاله

    نبتدى درسنا اليوم مع مضاد الفيروسات وهو Clam
    اى الكاتم او الكاتوم

    وهو يخضع لتصريح
    GPL anti−virus toolkit for UNIX
    مفتوح المصدر
    ويتقدر تشيك على جهازك او سيرفرك اذا كان فيه اى ملفات خطرة او فيروسات
    طيب واحد يقول ليه بنستخدم antivirus t
    فى اللينوكس ارد عليه واقوله بسرعه كدا
    اقول لك ليه بتستخدك antivirus فى لينكس دلوقتى لو انت بتستخدم لينوكس بس يبقى مش هتحتاج حماية من الفيروسات انما لو انت بتشغل النظامين لينوكس وويندوز او فى شبكة فيها ويندوز ليوزر فيها يبقى لزيادة الامان نجيب antivirus



    طيب نخلينا فى موضوعنا

    دا الموقع الرسمى للبرنامج
    http://www.clamav.net/

    ادخل وحمل اخر اصدار من البرنامج

    وبعد التحميل فك الضغط باحدى الطرق
    اما عن طريق الواجهة الرسومية او من الشل
    خلينا فى الشل على شان دا تفاحة اللينوكس ومتعته

    كود:
    #tar −xvzf clamav-0.93rc1.tar.gz
    #cd clamav−0.93 #groupadd clamav
    #useradd clamav −g clamav −c "Clam AntiVirus" −s /nonexistent .
    #/configure
    #make
    #make install
    #cd ..
    كدا احنا اضفنا جروب وسميناه clamav وعملنا يوزر بنفس الاسم
    بعد اكمل الكومبيل من السورس

    طيب دلوقتى عايزين البرنامج يعمل اب ديت كل فترة انت تقدر تحددها وانا هنا حددتها كل 12 ساعه

    قم بتحرير الملف التالى

    كود:
    vi /etc/crontab
    واضف السطر التالى

    كود:
    0 12 * * * root /usr/local/bin/clamscan
    طيب لمستخدمى الفيدورا
    كل ما عليك ان تكتب فى الشل

    كود:
    yum install clamav
    لعمل تحديث للبرنامج قم بعمل التالى
    كود:
    #touch /var/log/clam-update.log
    #chmod 600 /var/log/clamupdate.log
    #chown clamav /var/log/clamupdate.log
    دلوقتى اعمل تحديث للفريش كليم

    كود:
    freshclam -d -c 6 -l /var/log/clam-update.log
    دلوقتى جينا لمرحلة الاعدادات

    قم بتتغير فى الملف الى الى

    كود:
    vi /etc/clamd.conf
    كود:
    Uncomment "LogSyslog"
    Uncomment "StreamSaveToDisk"
    Uncomment "MaxThreads" and change value to "30"
    Uncomment "User" and change value to "qscand"
    Uncomment "Foreground"
    Uncomment "ScanMail"
    اعمل مجلد فى المسار التالى وبالامر اللى انا كتبته اهو

    كود:
    mkdir -p /usr/local/clamav/bin
    لحد كدا تمام اوى اوى

    دلوقتى معانا سكربت باش لتشغيل واطفاء البرنامج

    افتح الملف التالى

    كود:
    vi /usr/local/clamav/bin/clamdctl
    وضع فيه محتوى الاسكربت دا
    كود:
    #!/bin/sh
    
    # For Red Hat chkconfig
    # chkconfig: - 80 30
    # description: the ClamAV clamd daemon
    
    PATH=/usr/local/clamav/bin:/bin:/usr/bin:/usr/local/bin:/usr/local/sbin
    export PATH
    
    case "$1" in
      start)
        echo "Starting clamd"
        if svok /service/clamd ; then
          svc -u /service/clamd
        else
          echo clamd supervise not running
        fi  
        if [ -d /var/lock/subsys ]; then
          touch /var/lock/subsys/clamd
        fi
        ;;
      stop)
        echo "Stopping clamd..."
        echo "  clamd"
        svc -d /service/clamd
        if [ -f /var/lock/subsys/clamd ]; then
          rm /var/lock/subsys/clamd
        fi
        ;;
      stat)
        svstat /service/clamd
        svstat /service/clamd/log
        ;;
      restart)
        echo "Restarting clamd:"
        echo "* Stopping clamd."
        svc -d /service/clamd
        echo "* Sending clamd SIGTERM and restarting."
        svc -t /service/clamd
        echo "* Restarting clamd."
        svc -u /service/clamd
        ;;
      hup)
        echo "Sending HUP signal to clamd."
        svc -h /service/clamd
        ;;
      help)
        cat <<HELP
       stop -- stops clamd service (smtp connections refused, nothing goes out)
      start -- starts clamd service (smtp connection accepted, mail can go out)
       stat -- displays status of clamd service
    restart -- stops and restarts the clamd service
        hup -- same as reload
    HELP
        ;;
      *)
        echo "Usage: $0 {start|stop|stat|restart|hup|help}"
        exit 1
        ;;
    esac
    
    exit 0
    ثم نعطى التصريحات باالاوامر التاليه
    كود:
    #chmod 755 /usr/local/clamav/bin/clamdctl
    
    #chown clamav /usr/local/clamav/bin/clamdctl
    
    #ln -s /usr/local/clamav/bin/clamdctl /usr/local/bin
    وبعد كدا نعمل مجلد

    كود:
    mkdir -p /usr/local/clamav/supervise/clamd/log
    وبعد كدا افتح الملف التالى

    كود:
    vi /usr/local/clamav/supervise/clamd/run

    وضع فيه محتوى السكربت دا
    كود:
    #!/bin/sh
    #
    # --------------------------------------------------
    # run
    #
    # Purpose     - Start the clamd daemon/service.
    #                               
    # Author      - Jesse D. Guardiani
    # Created     - 09/10/03
    # Modified    - 09/25/03
    # --------------------------------------------------
    # This script is designed to be run under DJB's
    # daemontools package.
    #         
    #  ChangeLog
    #  ---------
    #
    #  09/25/03 - JDG
    #  --------------
    #  - Changed clamd user to qscand in compliance with
    #    the change to qmail-scanner-1.20rc3
    #
    #  09/10/03 - JDG
    #  --------------
    #  - Created
    # --------------------------------------------------
    # Copyright (C) 2003 WingNET Internet Services
    # Contact: Jesse D. Guardiani (jesse at wingnet dot net)
    # --------------------------------------------------
    
    lockfile="/tmp/clamd"   # Location of clamd lock file
    path_to_clamd="/usr/local/sbin/clamd"
                            # Location of the clamd binary
    BAD_EXIT_CODE=1         # The exit code we use to announce that something bad has happened
    
    # The following pipeline is designed to return the pid of each
    # clamd process currently running.
    get_clam_pids_pipeline=`ps -ax | grep -E "${path_to_clamd}\$" | grep -v grep | awk '{print $1}'`
    
    
    # --------------------------------------------------
    # Generic helper functions
    # --------------------------------------------------
    
    # Basic return code error message function
    die_rcode() {
    	EXIT_CODE=$1
    	ERROR_MSG=$2
    
    	if [ $EXIT_CODE -ne '0' ]; then
    		echo "$ERROR_MSG" 1>&2
    		echo "Exiting!" 1>&2
    		exit "$BAD_EXIT_CODE"
    	fi
    }
    
    
    # --------------------------------------------------
    # Main
    # --------------------------------------------------
    
    ps_clamd=""
    ps_clamd="$get_clam_pids_pipeline"
    
    if [ -n "$ps_clamd" ]; then
    	pid_count="0"
    	for pid in $ps_clamd
    	do
    		pid_count=`expr $pid_count + 1`
    	done
    	
    	die_rcode $BAD_EXIT_CODE "Error: $pid_count clamd process(es) already running!"
    
    fi
    
    if [ -e "$lockfile" ]; then
    	rm "$lockfile"
    	exit_code="$?"
    	die_rcode $exit_code "Error: 'rm $lockfile' call failed."
    fi
    
    exec /usr/local/bin/setuidgid qscand $path_to_clamd
    
    # --
    # END /usr/local/clamav/supervise/clamd/run file.
    # --
    
    Create the /usr/local/clamav/supervise/clamd/log/run file:
    
    #vi /usr/local/clamav/supervise/clamd/log/run
    
    #!/bin/sh
    exec /usr/local/bin/setuidgid qscand /usr/local/bin/multilog t /var/log/clamd
    وادى التصاريح 755 للملفات التاليه
    كود:
    #chmod 755 /usr/local/clamav/supervise/clamd/run
    
    #chmod 755 /usr/local/clamav/supervise/clamd/log/run
    دلوقتى هنعمل ايه يا رجاله على شان نخلص المووضوع دا هنعمل مجلد اللوج
    كود:
    #mkdir -p /var/log/clamd
    
    chown qscand /var/log/clamd
    وبعد كدا هنحط لينك supervise فى السيرفيس service


    كود:
    #ln -s /usr/local/clamav/supervise/clamd /service
    كدا نبقى انتهينا ولتوقف الخدمة لانه كدا هيشتغل اتوماتيك كل ما عليك تنفيذ الامر التالى

    كود:
    clamdctl stop
    وللتشغيل

    كود:
    clamdctl start
    SЄČURiTY TЄΛM
    MyBlog


  • #2
    شكرا ،

    لمستخدمي اﻷبونتو :

    http://help.ubuntu.com/community/ClamAV
    براءة:
    إن سطام لا يضمن صحة و لا دقة ما يكتب ، بل هو إلى الخطأ أقرب منه للصواب ، فدقق و لا تسلّم .
    @ksatux

    تعليق


    • #3
      تمام يا سطام واضافه كويسه لانى مش بستخدم ابونتو
      SЄČURiTY TЄΛM
      MyBlog

      تعليق


      • #4
        شكرا اخي الكريم ...
        :argeeleh:
        Twitter
        : @Linux4SA

        تعليق


        • #5
          شكرا ĐΓ.ĐΣΓMλNN على الشرح وطبعا برنامج الـ ClamAV مفيد جدا ومعروف
          وأثبت جدارته وخاصة في السيرفرات التي تقدم خدمة الايميل وآخر مرة قرأت عنه لما
          شركة تريند رفعت دعوة... مش متذكر التفاصيل
          وطبعا هو مفيد للمستخدم المنزلي وله واجهة لمستخدمي KDE اسمها KlamAV

          تعليق


          • #6
            تمام اوى يا مان على الاضافة بس ايه هى الدعوة ؟ ربنا يستر
            بينى وبينك الواجهات الرسومية فى بعض الاحيان مش بفضلها الا للضرورة
            لك تحياتى يا بطل
            SЄČURiTY TЄΛM
            MyBlog

            تعليق


            • #7
              pclinuxos???

              تعليق


              • #8
                pclinuxos???
                ???? ماذا تقصد
                SЄČURiTY TЄΛM
                MyBlog

                تعليق

                يعمل...
                X